# Real LLama
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: llama-route
spec:
  parentRefs:
  - name: inference-gateway
    # namespace: <namespace> # Uncomment if the Gateway is in a different namespace
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    # Name matches the NIM we deployed via Helm.
    - name: llama-nim-llm
      kind: Service
      port: 8000
      weight: 1
---
apiVersion: networking.gke.io/v1
kind: HealthCheckPolicy
metadata:
  name: llama-hc
spec:
  default:
    checkIntervalSec: 10
    timeoutSec: 5
    healthyThreshold: 1
    unhealthyThreshold: 3
    config:
      type: TCP
      tcpHealthCheck:
        port: 8000
  targetRef:
    group: ""
    kind: Service
    name: llama-nim-llm
